#include <fstream>
#include <math.h>

using namespace std;

bool IsPrime(int &a)
{
	if (a < 2) return false;
	if (a == 2 || a == 3) return true;
	if (a % 6 == 1 || a % 6 == 5)
	{
		for (int i = 2; i <= sqrt(a); i++)
		{
			if (a % i == 0) return false;
		}
	}
	else return false;
	return true;
}

ifstream input("CPRIME.inp");
ofstream output("CPRIME.out");

int main()
{
	int n, a;
	input >> n;
	for (int i = 0; i < n; i++)
	{
		input >> a;
		output << (IsPrime(a) ? "YES" : "NO") << '\n';
	}
	input.close();
	output.close();
	return 0;
}